Name: dosemu
Version: 2.0pre8
%define subvers 20200620.1940.g27a84ce0c
Release: %{subvers}.1.dbgemu%{?dist}

# Conditional:
# --without debug : disables debuginfo package + removes -g in "optarg".

Summary: DOSEMU stands for DOS Emulation, and enables Linux to run DOS programs
License:       GPL
Group:         System/Emulators
URL:           https://github.com/stsp/dosemu2/
Vendor:        Stas Sergejev, Bart Oldeman and DOSEMU team
Packager:      Franta Hanzlik
Source:        %{name}-%{version}-%{subvers}.tar.xz
Source1:       %{name}-freedos-1.2-bin.tgz
Source2:       dosemu.desktop
Source3:       dosemu.png
BuildArch:     i686 x86_64
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      alsa-lib gpm ladspa libao libsndfile libX11 libXau libxcb libXext libXi libXtst
Requires:      slang svgalib
%if 0%{?fedora} >= 19 || 0%{?centos} >= 7 || 0%{?rhel} >= 7
Requires:      SDL2 SDL2_ttf SDL2_mixer SDL2_image fluidsynth-libs
BuildRequires: SDL2-devel SDL2_mixer-devel SDL2_ttf-devel SDL2_image-devel fluidsynth-devel
%endif
BuildRequires: autoconf automake bison flex desktop-file-utils binutils-devel
BuildRequires: alsa-lib-devel gpm-devel ladspa-devel libao-devel libsndfile-devel libX11-devel libXau-devel libxcb-devel libXext-devel libXi-devel libXtst-devel
BuildRequires: slang-devel svgalib-devel
%description
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386+ processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.
Runnable on Linux i386 and x86_64 architectures.

This version is compiled with gpm, X, slang, alsa, svgalib, sndfile and
 enable-debug options
# a disable-cpuemu

%define _docdir /usr/share/doc/%{name}2
# Fedora20+ use 'UnversionedDocdirs' (https://fedoraproject.org/wiki/Changes/UnversionedDocdirs), chci-li nestandard, pak zhruba tak:
#%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}2}

%prep
echo "prep:"
rm -rf $RPM_BUILD_ROOT

%setup -q
echo "setup:"

%build

# Co tohle:
%undefine _hardened_build

echo "build:"
# --without debug hack:
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
%{?_without_debug:%define debug_package %{nil}}
%{?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-g/}"}
%{!?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-O?/-O0}"}
%{?_without_debug:export CFLAGS="${CFLAGS//-g/}"}
%{!?_without_debug:export CFLAGS="${CFLAGS//-O?/-O0}"}

# Mel jsem autoconf, ale radsi budu poustet autogen (if je)
#% {__autoconf}
if [ -f ./autogen.sh ]; then
    ./autogen.sh
else
    %{__autoconf}
fi
#% configure --with-fdtarball=%{SOURCE1} --target=i686 --enable-debug --with-target-cpu=i686 --enable-experimental\
%configure --with-fdtarball=%{SOURCE1} --enable-debug --enable-experimental\
 --enable-plugin=alsa --enable-plugin=extra_charsets --enable-plugin=fluidsynth --enable-plugin=gpm\
 --enable-plugin=kbd_unicode --enable-plugin=ladspa --enable-plugin=libao\
 --enable-plugin=sdl --enable-plugin=svgalib --enable-plugin=term --enable-plugin=translate --enable-plugin=vde --enable-plugin=X\
 --disable-fdpp
make

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

echo "desktop-file-install:"
desktop-file-install --vendor=fedora --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}

echo "mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps"
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 0644 %SOURCE3 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/fontpath.d
ln -s /usr/share/dosemu/Xfonts ${RPM_BUILD_ROOT}/etc/X11/fontpath.d/dosemu-Xfonts

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /etc/dosemu.users ]; then
  echo "Deprecating /etc/dosemu.users: moving to /etc/dosemu/dosemu.users"
  echo "Please use /etc/dosemu/dosemu.users instead (if necessary)."
  mv /etc/dosemu.users /etc/dosemu/dosemu.users
fi
if [ -f /etc/dosemu.conf ]; then
  echo "Deprecating /etc/dosemu.conf: moving to /etc/dosemu/dosemu.conf"
  echo "Please use /etc/dosemu/dosemu.conf instead."
  mv /etc/dosemu.conf /etc/dosemu/dosemu.conf
fi

%post
FONTDIR=/usr/share/dosemu/Xfonts
if [ -x /usr/bin/xorg-x11-fonts-update-dirs ]; then
# this script from xorg-x11-font-utils call all of mkfontscale/mkfontdir/fc-cache etc:
  /usr/bin/xorg-x11-fonts-update-dirs $FONTDIR
else
{
# create an index of scalable font files for X:
  umask 133; mkfontscale $FONTDIR

# create an index of X font files in a dosemu Xfonts directory:
  umask 133; mkfontdir $FONTDIR

# build font information cache files for applications using fontconfig:
  if [ -x /usr/bin/fc-cache ]; then 
    /usr/bin/fc-cache $FONTDIR
  fi
} || :
fi

%postun
FONTDIR=/usr/share/dosemu/Xfonts
if [ "$1" = "0" ]; then		# if we are uninstalling dosemu:
  if [ -x /usr/bin/xorg-x11-fonts-update-dirs ]; then
    /usr/bin/xorg-x11-fonts-update-dirs $FONTDIR
  else
    {
      if [ -d $FONTDIR ]; then
        mkfontdir $FONTDIR
      fi

      if [ -x /usr/bin/fc-cache ] ; then 
        /usr/bin/fc-cache $FONTDIR
      fi
    } || :
  fi
fi

%files
%defattr(-,root,root)
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage16
%{_bindir}/dosdebug
%{_mandir}/man*/*
%{_mandir}/ru/man*/*
%dir %{_libdir}/dosemu
%{_libdir}/dosemu/libplugin*.so
%dir %{_datadir}/dosemu
%{_datadir}/dosemu/*
%{_datadir}/pixmaps/dosemu.png
%{_datadir}/applications/*
%doc %{_docdir}/*
%config(noreplace) %{_sysconfdir}/dosemu/dosemu.conf
/etc/X11/fontpath.d/*

%changelog
* Sun Mar 12 2017 Franta Hanzlik <franta@hanzlici.cz>
- changes regarding to dosemu2

* Sat Jun 30 2012 Franta Hanzlik <franta@hanzlici.cz>
- changes regarding switch from SVN to GIT

* Sat Oct 8 2011 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.2060
- added omitted "Requires:" section
- better handled xfs and fontconfig font things
- build for Fedora 14 & 15

* Sun May 11 2008 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.1863 as v1.4.0.1
- removed commanders VC, VFU and Necromancer's DOS Navigator
  and return to dosemu-freedos-1.0-bin.tgz package.
  Eventual additional DOS programs will be solved as
  extra RPM packages
- build for Fedora 9

* Sat Mar 22 2008 Franta Hanzlik <franta@hanzlici.cz>
- include desktop icon & dosemu.desktop
- updated from svn.1844
- added file commanders VFU and Necromancer's DOS Navigator
- replaced nonfunct mem.exe with functional older one
- build for Fedora 9

* Sun Jun 3 2007 Franta Hanzlik <franta@hanzlici.cz>
- updated from svn.1824
- added some freeware programs to dosemu-freedos-bin
  (in particular Volkov Commander 4.99.08a)
- updated spec description
- config's FILES set to 140 as to match with many database
  applications

* Mon May 7 2007 Franta Hanzlik <franta@hanzlici.cz>
- Conditional rpmbuild "--without debug" switch: disables debuginfo package
  build + removes -g in "optarg".

* Sat May 5 2007 Franta Hanzlik <franta@hanzlici.cz>
- initial dosemu 1.4.0 FC{5,6,7} release

